import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart';

import 'blue_flutter_platform_interface.dart';

/// An implementation of [BlueFlutterPlatform] that uses method channels.
class MethodChannelBlueFlutter extends BlueFlutterPlatform {
  /// The method channel used to interact with the native platform.
  @visibleForTesting
  final methodChannel = const MethodChannel('blue_flutter');

  @override
  Future<String?> getPlatformVersion() async {
    final version = await methodChannel.invokeMethod<String>('getPlatformVersion');
    return version;
  }
}
