import 'package:plugin_platform_interface/plugin_platform_interface.dart';

import 'blue_flutter_method_channel.dart';

abstract class BlueFlutterPlatform extends PlatformInterface {
  /// Constructs a BlueFlutterPlatform.
  BlueFlutterPlatform() : super(token: _token);

  static final Object _token = Object();

  static BlueFlutterPlatform _instance = MethodChannelBlueFlutter();

  /// The default instance of [BlueFlutterPlatform] to use.
  ///
  /// Defaults to [MethodChannelBlueFlutter].
  static BlueFlutterPlatform get instance => _instance;
  
  /// Platform-specific implementations should set this with their own
  /// platform-specific class that extends [BlueFlutterPlatform] when
  /// they register themselves.
  static set instance(BlueFlutterPlatform instance) {
    PlatformInterface.verifyToken(instance, _token);
    _instance = instance;
  }

  Future<String?> getPlatformVersion() {
    throw UnimplementedError('platformVersion() has not been implemented.');
  }
}
