import 'package:flutter_test/flutter_test.dart';
import 'package:blue_flutter/blue_flutter.dart';
import 'package:blue_flutter/blue_flutter_platform_interface.dart';
import 'package:blue_flutter/blue_flutter_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockBlueFlutterPlatform 
    with MockPlatformInterfaceMixin
    implements BlueFlutterPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final BlueFlutterPlatform initialPlatform = BlueFlutterPlatform.instance;

  test('$MethodChannelBlueFlutter is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelBlueFlutter>());
  });

  test('getPlatformVersion', () async {
    BlueFlutter blueFlutterPlugin = BlueFlutter();
    MockBlueFlutterPlatform fakePlatform = MockBlueFlutterPlatform();
    BlueFlutterPlatform.instance = fakePlatform;
  
    expect(await blueFlutterPlugin.getPlatformVersion(), '42');
  });
}
