import 'package:flutter/services.dart';

class TscBluePrint {
  static const MethodChannel _channel = const MethodChannel('tsc_blue_print');

  Future<String?> getPlatformVersion() async {
    return await _channel.invokeMethod('getPlatformVersion');
  }

  Future<String> printBlue(
      {required String ipAddress,
      required int widthPaper,
      required int heightPaper,
      required String numero,
      required String tara,
      required String peso,
      required String bruto,
      required String vendor,
      required String expiryDate,
      required String productCode,
      required String productName}) async {
    final String result = await _channel.invokeMethod('ble_print', {
      'ipAddress': ipAddress,
      'widthPaper': widthPaper,
      'heightPaper': heightPaper,
      'numero': numero,
      'tara': tara,
      'peso': peso,
      'bruto': bruto,
      'expiryDate': expiryDate,
      'vendor': vendor,
      'productCode': productCode,
      'productName': productName,
    });
    return result;
  }

  Future<String> printWifi(
      {required String ipAddress,
      required int widthPaper,
      required int heightPaper,
      required String numero,
      required String tara,
      required String peso,
      required String bruto,
      required String vendor,
      required String expiryDate,
      required String productCode,
      required String productName}) async {
    final String result = await _channel.invokeMethod('wifi_print', {
      'ipAddress': ipAddress,
      'widthPaper': widthPaper,
      'heightPaper': heightPaper,
      'numero': numero,
      'tara': tara,
      'peso': peso,
      'bruto': bruto,
      'expiryDate': expiryDate,
      'vendor': vendor,
      'productCode': productCode,
      'productName': productName,
    });
    return result;
  }
}
